#include "DistanceCalculator.h"

DistanceCalculator *DistanceCalculator::m_pTheInstance = nullptr;

DistanceCalculator *DistanceCalculator::GetInstance() {
        if (!m_pTheInstance) {
                m_pTheInstance = new DistanceCalculator();
                // Anmerkung: m_pTheInstance wird niemals freigegeben
        }
        return m_pTheInstance;
}

double DistanceCalculator::Distance(const Point &from, const Point &to) const {
        double lat1 = GetRadians((from.Latitude() + to.Latitude()) / 2);
        double dx = 111.3 * cos(lat1) * (from.Longitude() - to.Longitude());
        double dy = 111.3 * (from.Latitude() - to.Latitude());
        return sqrt(dx * dx + dy * dy);
}
