#ifndef DISTANCECALCULATOR_H
#define DISTANCECALCULATOR_H

#include "Point.h"
#include <math.h>

class DistanceCalculator {
        public:
                static DistanceCalculator *GetInstance();

                double Distance(const Point &from, const Point &to) const;

        private:
                DistanceCalculator() = default;
                ~DistanceCalculator() = default;

        private:
                DistanceCalculator(const DistanceCalculator &) = delete;
                DistanceCalculator &operator=(const DistanceCalculator &) = delete;

        private:
                static double GetRadians(double degrees) { return degrees * M_PI / 180.0; }
                static DistanceCalculator *m_pTheInstance;
};

#endif // DISTANCECALCULATOR_H
