#ifndef POINT_H
#define POINT_H

#include <iostream>
#include <string>

class Point {
        public:
                Point(double latitude = 0.0, double longitude = 0.0, const std::string &name = "")
                        : m_latitude(latitude), m_longitude(longitude), m_name(name) {}

        public:
                double Latitude() const { return m_latitude; }
                double Longitude() const { return m_longitude; }
                const std::string &Name() const { return m_name; }

                void Set(double latitude, double longitude, const std::string &name = "");

                void Print() const;

        private:
                double m_latitude;
                double m_longitude;
                std::string m_name;
};

#endif // POINT_H
